HUGO-GEN-DOC(1)

NAME

hugo-gen-doc - Generate Markdown documentation for the Hugo CLI.

SYNOPSIS

hugo gen doc [flags]

DESCRIPTION

Generate Markdown documentation for the Hugo CLI.

This command is, mostly, used to create up-to-date documentation of Hugo's command-line interface for ⟨http://gohugo.io/⟩.

It creates one Markdown file per command with front matter suitable for rendering in Hugo.

OPTIONS

--dir="/tmp/hugodoc/"
    the directory to write the doc.

-h, --help[=false]
    help for doc

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-gen(1)